Subject: Re: linux-next: manual merge of the namespace tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 16 May 2011 14:44:05 +1000

Hi Matt,

On Mon, 16 May 2011 00:00:15 -0400 Matt Turner <[email-masked]> wrote:
>
> I don't know what the best way to avoid this is. Sometimes (and
> _sometimes_ is the problem) new syscalls are added through another
> tree. Other times, they're added to only x86 and amd64 or something
> and leave us to find out later.
> 
> So, should all syscall additions go through the respective arch trees,
> or should syscall additions make sure to include all architectures?

Any and all of the above should be fine.  Mostly, the "only add x86"
model is followed and the other arches catch up later.

Conflicts like these are easy to handle and Linus does not mind fixing
them up as they occur, so for really simple syscalls, adding them to all
architectures should be fine.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/